Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork
[Groovy] Class ForkedGrailsProcess

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess

    abstract class ForkedGrailsProcess
    extends java.lang.Object

Helper class for kicking off forked JVM processes, helpful in managing the setup and execution of the forked process. Subclasses should provided a static void main method.

Authors:
  Graeme Rocher

Since:
  2.2

Nested Class Summary
`static class` | `ForkedGrailsProcess.TextDumper`

Property Summary
`boolean` | `debug`
`java.util.List` | `jvmArgs`
`int` | `maxMemory`
`int` | `maxPerm`
`int` | `minMemory`
`java.io.File` | `reloadingAgent`

Method Summary
`static java.util.List` | `buildMinimalIsolatedClasspath(BuildSettings buildSettings)`
`void` | `configure(java.util.Map forkConfig)`
`protected java.net.URLClassLoader` | `createClassLoader(BuildSettings buildSettings)`
`ExecutionContext` | `createExecutionContext()`
`protected void` | `discoverAndSetAgent(ExecutionContext executionContext)`
`static java.io.File` | `findJarFile(java.lang.Class targetClass)`
`java.lang.Process` | `fork()`
`protected void` | `initializeLogging(java.io.File grailsHome, java.lang.ClassLoader classLoader)`
`ExecutionContext` | `readExecutionContext()`
`protected void` | `setupReloading(java.net.URLClassLoader classLoader, BuildSettings buildSettings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### debug

    boolean debug

### jvmArgs

    java.util.List jvmArgs

### maxMemory

    int maxMemory

### maxPerm

    int maxPerm

### minMemory

    int minMemory

### reloadingAgent

    java.io.File reloadingAgent

Method Detail

### buildMinimalIsolatedClasspath

    @CompileStatic
    static java.util.List buildMinimalIsolatedClasspath(BuildSettings buildSettings)

### configure

    @CompileStatic
    void configure(java.util.Map forkConfig)

### createClassLoader

    @CompileStatic
    protected java.net.URLClassLoader createClassLoader(BuildSettings buildSettings)

### createExecutionContext

    ExecutionContext createExecutionContext()

### discoverAndSetAgent

    @CompileStatic
    protected void discoverAndSetAgent(ExecutionContext executionContext)

### findJarFile

    @CompileStatic
    static java.io.File findJarFile(java.lang.Class targetClass)

### fork

    @CompileStatic
    java.lang.Process fork()

### initializeLogging

    protected void initializeLogging(java.io.File grailsHome, java.lang.ClassLoader classLoader)

### readExecutionContext

    @CompileStatic
    ExecutionContext readExecutionContext()

### setupReloading

    protected void setupReloading(java.net.URLClassLoader classLoader, BuildSettings buildSettings)

Groovy Documentation